# Class ReferenceCountedACLCache

java.lang.Object
org.apache.zookeeper.server.ReferenceCountedACLCache

public class ReferenceCountedACLCache extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReferenceCountedACLCache()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsage(Long acl)`
`Long`
`convertAcls(List<ACL> acls)`
converts the list of acls to a long.
`List<ACL>`
`convertLong(Long longVal)`
converts a long to a list of acls.
`void`
`deserialize(InputArchive ia)`
`void`
`purgeUnused()`
`void`
`removeUsage(Long acl)`
`void`
`serialize(OutputArchive oa)`
`int`
`size()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceCountedACLCache

public ReferenceCountedACLCache()

## Method Details

### convertAcls

public Long convertAcls(List<ACL> acls)
converts the list of acls to a long. Increments the reference counter for this ACL.

Parameters:
  `acls` -
Returns:
  a long that map to the acls

### convertLong

public List<ACL> convertLong(Long longVal)
converts a long to a list of acls.

Parameters:
  `longVal` -
Returns:
  a list of ACLs that map to the long

### deserialize

public void deserialize(InputArchive ia) throws IOException

Throws:
  `IOException`

### serialize

public void serialize(OutputArchive oa) throws IOException

Throws:
  `IOException`

### size

public int size()

### addUsage

public void addUsage(Long acl)

### removeUsage

public void removeUsage(Long acl)

### purgeUnused

public void purgeUnused()